package it.gulch.android;

import android.app.Activity;
import android.media.AudioManager;
import android.media.MediaPlayer;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class PlayerActivity extends Activity {
	MediaPlayer mp = new MediaPlayer();

	// Called when the activity is first created.
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		// Preparing MediaPlayer
		try {
			mp.setDataSource("/mnt/sdcard/file.mp3");
			mp.setAudioStreamType(AudioManager.STREAM_MUSIC);
			mp.prepare();
		} catch (Exception e) {
			Log.d(PlayerActivity.class.getName(), "Errore!!", e);
		}

		// Listener for click on play button 
		Button play = (Button) findViewById(R.id.play);
		play.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				if (!mp.isPlaying()) {
					mp.start();
				}
			}
		});

		// Listener for click on pause button 
		Button pause = (Button) findViewById(R.id.pause);
		pause.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				if (mp.isPlaying()) {
					mp.pause();
				}
			}
		});
	}
}